--Diffstring version 2.1
--Ahora te da dos valores en vez de uno
--el último argumento serviría como un default para el edit, es mejor usarlo para la descripción
function Diffstring2( diff, stype, desc )
	local fixdesc = string.upper( desc )
	local eDiff = desc == "" and "Edit" or desc
	local eDesc = (fixdesc == "HALFDOUBLE" and "TWIN-ROLE MODE") or "CUSTOM MODE"
	local singles = {
		--dificultad =		{"modo",	"descripción"}
		Difficulty_Beginner =	{"EASY",	"BEGINNER MODE"};
		Difficulty_Easy =	{"NORMAL",	"STANDARD MODE"};
		Difficulty_Medium =	{"HARD",	"PROFFESOINAL MODE"}; --xD typhos conservados
		Difficulty_Hard =	{"CRAZY",	"STEPPER MODE"};
		Difficulty_Challenge =	{"WILD",	"INSANE MODE"};
		--upercase this
		Difficulty_Edit = {
			string.upper( eDiff ),
			eDesc
		};
	}
	local doubles = {
		--dificultad =		{"modo",	"descripción"}
		Difficulty_Beginner =	{"EDOUBLE",	"NWB-DOUBLE MODE"};
		Difficulty_Easy =	{"DOUBLE",	"AVG-DOUBLE MODE"};
		Difficulty_Medium =	{"FREESTYLE",	"PERFORMANCE MODE"};
		Difficulty_Hard =	{"NIGHTMARE",	"BURNING MODE"};
		Difficulty_Challenge =	{"HARDCORE",	"ULTIMATE CHALLENGE"};
		--upercase this
		Difficulty_Edit = {string.upper( eDiff ),eDesc};
	}
	if stype == 'StepsType_Pump_Single' then
		return singles[diff]
	elseif stype == 'StepsType_Pump_Double' then
		return doubles[diff]
	else
		local GameName = GAMESTATE:GetCurrentGame():GetName()
		local Mode = string.sub(stype, string.len(GameName)+12)
		return {
			string.upper( string.sub(diff, 12) ),
			string.upper( GameName.." IN "..Mode.." MODE" ),
		}
	end
end

--metercolor version 2.1
--usar dentro de un comando de color (diffuses o glows)
function MeterColor2( meter )
	if meter <= 8 then return color("#00FF00") end
	if meter <= 16 then return color("#FFFF00") end
	return color("#FF0000")
end

--Highscores / puntajes altos
function GetHighScores()
	--Ayuda plz...
	return nil
end

function GetTableIndex(t,val)
	for i=1,#t do
		if t[i] == val then
			return i
		end
	end
end

--[[
code Daisuke Master (c)

Términos de uso:
1.- Eres libre de usar todo o parte de éste código, sólamente dame crédito o incluye este bracket de comments en el luafile
2.- No permito que se use para fines comerciales
3.- Si quieres usar el código para fin comercial
	a). Contáctame por X o Y medio pero que sea directo de preferencia
		(messenger, phone si se puede (aver donde lo consigues xD))
	b). Móchate una feriecita xD no seas gacho
]]